%define _pkgconfigdir	%{_libdir}/pkgconfig
%define _disable_ld_no_undefined 1
%define major 0

%define libname %mklibname %{name} %major
%define develname %mklibname -d xcb-util-xrm
%define staticdevelname %mklibname -s -d xcb-util-xrm

Name: xcb-util-xrm
Summary: A number of libraries which sit on top of libxcb
Version: 1.3
Release: %mkrel 2
Group: System/X11
License: MIT
URL: http://xcb.freedesktop.org
Source: http://xcb.freedesktop.org/dist/%name-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 7.3
BuildRequires: x11-util-macros >= 1.1.5
BuildRequires: xcb-devel
BuildRequires: gperf
Requires: %{_lib}xcb-util-keysyms1


%description
The xcb-util-xrm module provides a library which sits on top of
libxcb.

%package -n %{libname}
Summary: xcb-util-xrm library package
Group: System/X11

%description -n %{libname}
The xcb-util-xrm module provides a library which sits on top of
libxcb.

%files -n %{libname}
%{_libdir}/libxcb-xrm.so.%{major}*


%package -n %develname
Summary: A number of libraries which sit on top of libxcb
Group: Development/Libraries
Provides:  libxcb-util-xrm-devel = %version-%release
Provides:  xcb-util-xrn-devel = %version-%release

%description -n %develname
The xcb-util-xrm module provides a library which sit on top of
libxcb.

%files -n %develname
%defattr(-,root,root)
%{_includedir}
%{_libdir}/pkgconfig
%{_libdir}/*.so


#--------------------------------------------------------------------


%package -n %staticdevelname
Summary: A number of libraries which sit on top of libxcb
Group: Development/Libraries
Provides:  libxcb-util-xrm-static-devel = %version-%release
Requires:  %develname = %version-%release

%description -n %staticdevelname
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%files -n %staticdevelname
%defattr(-,root,root)
%{_libdir}/*.a


%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%changelog
* Sun Apr 14 2019 tex - 1.3-2pclos2019
- rebuild against updates

* Fri Sep 07 2018 tex - 1.3-1pclos2018
- rebuild against updates
